KDE 4.3 PyKDE API Reference

- KDE's Python API

# GeoDataFeaturePrivate Class Reference

`from PyKDE4.marble import *`

Namespace: Marble

## Detailed Description

## Attributes

QString | m_address
QString | m_description
QString | m_name
QString | m_phoneNumber
long | m_popularity
int | m_popularityIndex
QChar | m_role
Marble.GeoDataStyle | m_style
Marble.GeoDataStyleMap | m_styleMap
QString | m_styleUrl
bool | m_visible
Marble.GeoDataFeature.GeoDataVisualCategory | m_visualCategory
QAtomicInt | ref

## Methods

| __init__ (self)
| __init__ (self, Marble.GeoDataFeaturePrivate other)
void | copy (self)
EnumFeatureId | featureId (self)

## Method Documentation

__init__ | ( |  | self ) |

__init__ | ( | self, |
|  | Marble.GeoDataFeaturePrivate | other
| ) |  |  |

void copy | ( |  | self ) |

EnumFeatureId featureId | ( |  | self ) |

## Attribute Documentation

QString m_address

QString m_description

QString m_name

QString m_phoneNumber

long m_popularity

int m_popularityIndex

QChar m_role

Marble.GeoDataStyle m_style

Marble.GeoDataStyleMap m_styleMap

QString m_styleUrl

bool m_visible

Marble.GeoDataFeature.GeoDataVisualCategory m_visualCategory

QAtomicInt ref